#
# spec file for package python-repoze.sphinx.autointerface
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global modname repoze.sphinx.autointerface
%{?sle15_python_module_pythons}
Name:           python-%{modname}
Version:        1.0.0
Release:        3.1
Summary:        Sphinx extension: auto-generates API docs from Zope interfaces
License:        SUSE-Repoze
Group:          Development/Languages/Python
URL:            http://www.repoze.org
Source:         https://files.pythonhosted.org/packages/source/r/repoze.sphinx.autointerface/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
Requires:       python-zope.interface
BuildArch:      noarch
%python_subpackages

%description
Thie package defines an extension for the Sphinx documentation system. The
extension allows generation of API documentation by introspection of
zope.interface instances in code.

%prep
%setup -q -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
# do not install tests
%python_expand rm -rf %{buildroot}%{$python_sitelib}/repoze/sphinx/tests

%files %{python_files}
%license LICENSE.txt
%doc CHANGES.rst COPYRIGHT.txt README.rst
%dir %{python_sitelib}/repoze
%dir %{python_sitelib}/repoze/sphinx
%{python_sitelib}/repoze/sphinx/autointerface.py
%{python_sitelib}/repoze[._]sphinx[._]autointerface-%{version}*-info
%{python_sitelib}/repoze[._]sphinx[._]autointerface-%{version}*nspkg.pth
%pycache_only %dir %{python_sitelib}/repoze/sphinx/__pycache__
%pycache_only %{python_sitelib}/repoze/sphinx/__pycache__/autointerface*

%changelog
* Wed Jun 11 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Mon Jun 12 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Oct  7 2022 Dirk Müller <dmueller@suse.com>
- make the package python 3.6+ only as it dropped support
  for older versions
* Fri Oct  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.0.0 (2022-05-26)
  Remove sphinx.util.force_decode. Previously we hacked it in to support Python 2 and Sphinx 3.x, but Sphinx 4.0 deprecated it and dropped Python 2 support.
  Replace Travis-CI with GitHub Actions
  Add support for Python 3.6, 3.7, 3.8, 3.9, 3.10, and PyPy3.
  Drop support for Python 2.7, 3.3, 3.4, 3.5, and PyPy.
  Update to work with newer Sphinx versions:
  Sphinx.domains -> Sphinx.registry.domains
  Sphinx.override_domain(D) -> Sphinx.add_domain(D, override=True)
  Drop support for Sphinx < 4.0.
* Fri Dec  7 2018 Tomáš Chvátal <tchvatal@suse.com>
- Fix fdupes call
- Remove useless code for SLE11
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Jun 16 2017 okurz@suse.com
- Update to 0.8
- Prevent duplicate files installed with fdupes
- Use https pypi.io URL for Factory submission
* Sat Mar 11 2017 okurz@suse.com
- Convert package to singlespec
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Aug  5 2013 cfarrell@suse.com
- license update: SUSE-Repoze
  See the spreadsheet linked from license.opensuse.org
* Sun Jul 28 2013 hpj@urpla.net
- update to version 0.7.1
* Wed Feb  1 2012 saschpe@suse.de
- Initial version
